package role_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type RolelistRequest struct {
	// <ext>core:true</ext> 【法人单位id】法人单位id
	CompanyId *int64 `json:"companyId,omitempty"`
	// <ext>core:true</ext> 【法人单位名称】法人单位名称
	CompanyName string `json:"companyName,omitempty"`
	// <ext>core:true</ext> <ext>core:true</ext> 【角色类型】角色类型 【传参】 取值范围：SYSTEM（系统管理员），SA（印章管理员），TEMPLATE（模板管理员），CATEGORY（用印流程管理员），AUDITOR（审计员），CUSTOM（自定义角色），TEMPLATE_CREATOR（模板创建人），LP（法人），CONTRACT（文件管理员），MANAGE_AUTHORIZER（印章管理授权人）；
	RoleType string `json:"roleType,omitempty"`
	// <ext>core:true</ext> 【法人单位代码】法人单位代码 【传参说明】 支持传入当前法人单位存储的统一社会信用代码或工商注册号
	RegisterNo string `json:"registerNo,omitempty"`
}

func (obj RolelistRequest) GetUrl() string {
	return "/rolelist"
}

func (obj RolelistRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("companyId", obj.CompanyId)
	parameter.AddParam("companyName", obj.CompanyName)
	parameter.AddParam("roleType", obj.RoleType)
	parameter.AddParam("registerNo", obj.RegisterNo)
	return parameter
}
